#include <SD.h>                      // need to include the SD library
//#define SD_ChipSelectPin 53  //example uses hardware SS pin 53 on Mega2560
#define SD_ChipSelectPin 10  //using digital pin 4 on arduino nano 328
#include <TMRpcm.h>           //  also need to include this library...

TMRpcm tmrpcm;   // create an object for use in this sketch
char mychar;
byte octet[3];
int n=0;
int compteur=0;
long t0=millis();
int potmode;
int mode;


void setup(){

  tmrpcm.speakerPin = 9; //11 on Mega, 9 on Uno, Nano, etc
pinMode(7,INPUT);
pinMode(5,OUTPUT);
  Serial.begin(9600);
  if (!SD.begin(SD_ChipSelectPin)) {  // see if the card is present and can be initialized:
    Serial.println("SD fail");  
    return;   // don't do anything more if not
  }
 
}

void loop(){
 
   potmode = analogRead(A0);
 if (potmode<600) mode=1;
 if (potmode>600 && potmode<700) mode=2;
 if (potmode>700 && potmode<750) mode=3;
 if (potmode>750 && potmode<800) mode=4;
 if (potmode>800 && potmode<830) mode=5;
 if (potmode>830 && potmode<865) mode=6;
 if (potmode>865 && potmode<880) mode=7;
 if (potmode>880 && potmode<900) mode=8;
 if (potmode>900 ) mode=9; 
 
 
 
 if(digitalRead(7)==1 && compteur==0 && mode==2) {
 tmrpcm.play("annonce1.wav");
 digitalWrite(5,LOW);
 compteur=1;
 t0=millis();
 }
 if(digitalRead(7)==1 && compteur==0 && mode==3) {
 tmrpcm.play("annonce2.wav");
 digitalWrite(5,LOW);
 compteur=1;
 t0=millis();
 }
  if(digitalRead(7)==1 && compteur==0 && mode==4) {
 tmrpcm.play("annonce3.wav");
 digitalWrite(5,LOW);
 compteur=1;
 t0=millis();
 }
  if(digitalRead(7)==1 && compteur==0 && mode==5) {
 tmrpcm.play("annonce4.wav");
 digitalWrite(5,LOW);
 compteur=1;
 t0=millis();
 }
  if(digitalRead(7)==1 && compteur==0 && mode==6) {
 tmrpcm.play("sonnerie.wav");
 digitalWrite(5,HIGH);
 compteur=1;
 t0=millis();
 }
  if(digitalRead(7)==1 && compteur==0 && mode==7) {
 tmrpcm.play("camion.wav");
 digitalWrite(5,HIGH);
 compteur=1;
 t0=millis();
 }
   if(digitalRead(7)==1 && compteur==0 && mode==8) {
 tmrpcm.play("texte1.wav");
 digitalWrite(5,HIGH);
 compteur=1;
 t0=millis();
 }

 
if (millis()>t0+2000) compteur=0;
 n=0;

  if(Serial.available()){   
    octet[n] = Serial.read() -48 ;
n=n+1;
  }
    if(octet[0] == 1){
   
      tmrpcm.play("annonce.wav");
    }
     if(octet[0] == 2){
    
      tmrpcm.play("annonce2.wav");
    }
}


